Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class SpyTopic

    java.lang.Object
      org.jboss.mq.SpyDestination
          org.jboss.mq.SpyTopic

All Implemented Interfaces:
  javax.jms.Destination, Referenceable, Serializable, javax.jms.Topic

Direct Known Subclasses:
  SpyTemporaryTopic

public class SpyTopic
extends SpyDestination
implements Serializable, javax.jms.Topic, Referenceable

This class implements javax.jms.Topic

Version:
  $Revision: 1.8 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Hiram Chirino (Cojonudo14@hotmail.com), David Maplesden (David.Maplesden@orion.co.nz), Adrian Brock
See Also:
  Serialized Form

Field Summary
`protected DurableSubscriptionID` | `durableSubscriptionID` The durableSubscriptionID

Fields inherited from class org.jboss.mq.SpyDestination
`hash, name, NULL, OBJECT, SPY_QUEUE, SPY_TEMP_QUEUE, SPY_TEMP_TOPIC, SPY_TOPIC`

Constructor Summary
`SpyTopic(SpyTopic topic, DurableSubscriptionID subid)` Create a new SpyTopic
`SpyTopic(SpyTopic topic, String clientID, String subscriptionName, String selector)` Create a new SpyTopic
`SpyTopic(String topicName)` Create a new SpyTopic

Method Summary
`boolean` | `equals(Object obj)`
`DurableSubscriptionID` | `getDurableSubscriptionID()` Get the durable subscription id return the durable subscription id
`Reference` | `getReference()`
`String` | `getTopicName()`
`String` | `toString()`

Methods inherited from class org.jboss.mq.SpyDestination
`getName, hashCode, readDest, writeDest`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### durableSubscriptionID

    protected DurableSubscriptionID durableSubscriptionID

  The durableSubscriptionID

Constructor Detail

### SpyTopic

    public SpyTopic(String topicName)

  Create a new SpyTopic

Parameters:
  `topicName` - the topic name

### SpyTopic

    public SpyTopic(SpyTopic topic,
                    String clientID,
                    String subscriptionName,
                    String selector)

  Create a new SpyTopic

Parameters:
  `topic` - the topic
  `clientID` - the client id
  `subscriptionName` - the subscription name
  `selector` - the selector

### SpyTopic

    public SpyTopic(SpyTopic topic,
                    DurableSubscriptionID subid)

  Create a new SpyTopic

Parameters:
  `topic` - the topic
  `subid` - the durable subscription

Method Detail

### getDurableSubscriptionID

    public DurableSubscriptionID getDurableSubscriptionID()

  Get the durable subscription id return the durable subscription id

### getTopicName

    public String getTopicName()

  Specified by:
    `getTopicName` in interface `javax.jms.Topic`

### getReference

    public Reference getReference()
                           throws NamingException

  Specified by:
    `getReference` in interface `Referenceable`
  Throws:
    `NamingException`

### equals

    public boolean equals(Object obj)

### toString

    public String toString()

  Specified by:
    `toString` in interface `javax.jms.Topic`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.